<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="host.core-service.management.management-interface.http-interface">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="allowed-origins,console-enabled,constant-headers,http-authentication-factory,http-upgrade,http-upgrade-enabled,interface,port,sasl-protocol,secure-interface,secure-port,server-name,ssl-context"/>
        <elem name="addr-params" value="host,core-service,management-interface"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host.core-service"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.management.http.extensible"/>
        <capability name="org.wildfly.management.http-interface"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.interface.$interface"/>
        <capability name="org.wildfly.security.http-authentication-factory.$http-authentication-factory" optional="true"/>
        <capability name="org.wildfly.network.interface.$secure-interface" optional="true"/>
        <capability name="org.wildfly.security.ssl-context.$ssl-context" optional="true"/>
    </requires>
    <refs>
        <ref feature="core-service.management"/>
        <ref feature="host"/>
    </refs>
    <params>
        <param name="console-enabled" nillable="true"/>
        <param name="allowed-origins" nillable="true" type="List&lt;String&gt;"/>
        <param name="http-upgrade" nillable="true"/>
        <param name="http-upgrade-enabled" nillable="true"/>
        <param name="sasl-protocol" nillable="true"/>
        <param name="ssl-context" nillable="true"/>
        <param name="interface"/>
        <param name="core-service" feature-id="true" default="management"/>
        <param name="secure-interface" nillable="true"/>
        <param name="server-name" nillable="true"/>
        <param name="http-authentication-factory" nillable="true"/>
        <param name="secure-port" nillable="true"/>
        <param name="constant-headers" nillable="true"/>
        <param name="port" nillable="true"/>
        <param name="management-interface" feature-id="true" default="http-interface"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
    <packages>
        <package name="org.jboss.as.domain-http-error-context"/>
    </packages>
</feature-spec>